> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--pipeline/types/inputs/set-pipeline-scan-settings-input.md).

# setPipelineScanSettingsInput

Input payload for updating pipeline scan settings for applications.

### Examples

```graphql
input SetPipelineScanSettingsInput {
  appIds: [String!]!
  timeout: Float
  performance: String
  failOnTimeout: Boolean
  failOnError: Boolean
  scansEnabled: Boolean!
  scanSummaryAsCommentEnabled: Boolean
  scanSummaryShowSuccess: Boolean
  eventsTriggeringScansForBranches: [EventsTriggeringScansForBranchesSettingInput!]
  scansEnabledForBitbucketApp: Boolean
  scanSummaryAsCommentEnabledForBitbucketApp: Boolean
  eventsTriggeringScansForBranchesForBitbucketApp: [EventsTriggeringScansForBranchesSettingInput!]
  scansEnabledForGitLabWebhooks: Boolean
  eventsTriggeringScansForBranchesForGitLabWebhooks: [EventsTriggeringScansForBranchesSettingInput!]
}
```

### Fields

| Field                                                                                                                                                                                                                    | Description                                                                                                               | Supported fields                                                                                                                                                                                                                                                                                                                                                                                                |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| appIds `[String!]!`                                                                                                                                                                                                      | Application IDs to update settings for.                                                                                   |                                                                                                                                                                                                                                                                                                                                                                                                                 |
| timeout `Float`                                                                                                                                                                                                          | General Setting. Scan timeout value in minutes                                                                            |                                                                                                                                                                                                                                                                                                                                                                                                                 |
| performance `String`                                                                                                                                                                                                     | General Setting. Scan speed                                                                                               |                                                                                                                                                                                                                                                                                                                                                                                                                 |
| failOnTimeout `Boolean`                                                                                                                                                                                                  | General Setting. Whether or not a scan timeout causes a scan to fail (block)                                              |                                                                                                                                                                                                                                                                                                                                                                                                                 |
| failOnError `Boolean`                                                                                                                                                                                                    | General Setting. Whether or not an error (i.e. network, infrastructure) causes a scan to fail (block)                     |                                                                                                                                                                                                                                                                                                                                                                                                                 |
| scansEnabled `Boolean!`                                                                                                                                                                                                  | GitHub App Setting. Whether or not GitHub Checks should be run for the repository (application)                           |                                                                                                                                                                                                                                                                                                                                                                                                                 |
| scanSummaryAsCommentEnabled `Boolean`                                                                                                                                                                                    | GitHub App Setting. Whether or not GitHub Checks results should be published in a pull request comments                   |                                                                                                                                                                                                                                                                                                                                                                                                                 |
| scanSummaryShowSuccess `Boolean`                                                                                                                                                                                         | General Setting. When enabled, a comment is also posted when the scan finds no issues.                                    |                                                                                                                                                                                                                                                                                                                                                                                                                 |
| eventsTriggeringScansForBranches [`[EventsTriggeringScansForBranchesSettingInput!]`](/api-documentation/api-reference/api--pipeline/types/inputs/events-triggering-scans-for-branches-setting-input.md)                  | GitHub App Setting. Which events for which branches should trigger GitHub Checks                                          | <p>branchNamePatternBranchSelection <code>String</code><br>genericOptionBranchSelection <a href="/api-documentation/api-reference/api--pipeline/types/enums/generic-option-branch-selection-type.md"><code>GenericOptionBranchSelectionType</code></a><br>events <a href="/api-documentation/api-reference/api--pipeline/types/inputs/triggering-event-input.md"><code>\[TriggeringEventInput!]!</code></a></p> |
| scansEnabledForBitbucketApp `Boolean`                                                                                                                                                                                    | Bitbucket App Setting. Whether or not scans should be run and reported to Bitbucket APIs for the repository (application) |                                                                                                                                                                                                                                                                                                                                                                                                                 |
| scanSummaryAsCommentEnabledForBitbucketApp `Boolean`                                                                                                                                                                     | Bitbucket App Setting. Whether or not scan results should be published in a pull request comment                          |                                                                                                                                                                                                                                                                                                                                                                                                                 |
| eventsTriggeringScansForBranchesForBitbucketApp [`[EventsTriggeringScansForBranchesSettingInput!]`](/api-documentation/api-reference/api--pipeline/types/inputs/events-triggering-scans-for-branches-setting-input.md)   | Bitbucket App Setting. Which events for which branches should trigger scans                                               | <p>branchNamePatternBranchSelection <code>String</code><br>genericOptionBranchSelection <a href="/api-documentation/api-reference/api--pipeline/types/enums/generic-option-branch-selection-type.md"><code>GenericOptionBranchSelectionType</code></a><br>events <a href="/api-documentation/api-reference/api--pipeline/types/inputs/triggering-event-input.md"><code>\[TriggeringEventInput!]!</code></a></p> |
| scansEnabledForGitLabWebhooks `Boolean`                                                                                                                                                                                  | GitLab Webhooks Setting. Whether or not scans should be run and reported to GitLab APIs for the project (application)     |                                                                                                                                                                                                                                                                                                                                                                                                                 |
| eventsTriggeringScansForBranchesForGitLabWebhooks [`[EventsTriggeringScansForBranchesSettingInput!]`](/api-documentation/api-reference/api--pipeline/types/inputs/events-triggering-scans-for-branches-setting-input.md) | GitLab Webhooks Setting. Which events for which branches should trigger scans                                             | <p>branchNamePatternBranchSelection <code>String</code><br>genericOptionBranchSelection <a href="/api-documentation/api-reference/api--pipeline/types/enums/generic-option-branch-selection-type.md"><code>GenericOptionBranchSelectionType</code></a><br>events <a href="/api-documentation/api-reference/api--pipeline/types/inputs/triggering-event-input.md"><code>\[TriggeringEventInput!]!</code></a></p> |

### References

#### Mutations using this object:

* [<\~> setPipelineScanSettings.input](/api-documentation/api-reference/api--pipeline/mutations/set-pipeline-scan-settings.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ox.security/api-documentation/api-reference/api--pipeline/types/inputs/set-pipeline-scan-settings-input.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
